/*==================================================================
  ==================================================================
  ==	XMusic -- An Interactive Interface to Csound		  ==
  ==       Copyright (C) 1988 by George D. Drapeau                ==
  ==                  All Rights Reserved                         ==
  ==================================================================
  ==================================================================
*/
/* $Log:	helpWin.c,v $
 * Revision 1.2  89/08/06  18:12:15  drapeau
 * Cleaned up the code for the first X11 release.
 *  */

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xaw/AsciiText.h>
#include "defs.h"
#include "externs.h"


void CreateHelpWindow()
{
  Arg	argList[1];

  helpWidget	= XtCreatePopupShell("help",			    /* Create a Popup shell for the Help Window */
				     topLevelShellWidgetClass,
				     topLevelShell,
				     NULL,NULL);
  XtSetArg(argList[0],XtNstring,(XtArgVal)helpLabel);
  helpTextWidget= XtCreateManagedWidget("helpText",		    /* Create a text widget for the popup shell */
					asciiTextWidgetClass,
					helpWidget,
					argList,1);
  
}								    /* end function CreateHelpWindow */
